/*
 * Ben NanoNote GPIO details.
 *
 * Copyright (C) 2017 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#include "nanonote.h"
#include <stdint.h>

#define PIN(x)	(3 * 32 + 18 + x)

const uint8_t GPIO_KEYIN_ROW[GPIO_KEYIN_COUNT] = {
	0, 1, 2, 3, 4, 5, 6, 7
	};

#undef PIN
#define PIN(x)	(2 * 32 + 10 + x)

const uint8_t GPIO_KEYOUT_COL[GPIO_KEYOUT_COUNT] = {
	PIN(0), PIN(1), PIN(2), PIN(3), PIN(4), PIN(5), PIN(6), PIN(8),
	};

#undef PIN
